org.apache.ignite.internal.processors.query

## Class GridQueryCacheObjectsIterator

- java.lang.Object
- - org.apache.ignite.internal.processors.query.GridQueryCacheObjectsIterator

All Implemented Interfaces:
  AutoCloseable, Iterator<List<?>>

    public class GridQueryCacheObjectsIterator
    extends Object
    implements Iterator<List<?>>, AutoCloseable

Deserializes binary objects if needed.

### Constructor Summary

Constructors
Constructor and Description
`GridQueryCacheObjectsIterator(Iterator<List<?>> iter, CacheObjectValueContext cacheObjValCtx, boolean keepBinary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `hasNext()`
`List<?>` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### GridQueryCacheObjectsIterator

    public GridQueryCacheObjectsIterator(Iterator<List<?>> iter,
                                         CacheObjectValueContext cacheObjValCtx,
                                         boolean keepBinary)

Parameters:
  `iter` - Iterator.
  `cacheObjValCtx` - Cache object context.
  `keepBinary` - Keep binary.

### Method Detail

#### close

    public void close()
               throws Exception

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `Exception`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<List<?>>`

#### next

    public List<?> next()

Specified by:
  `next` in interface `Iterator<List<?>>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<List<?>>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021